;******************************************************************************
;  *   	@MCU   	   	   	   	 : MC32F7062
;  *   	@Create Date         : 2021.11.29
;  *   	@Corporation         : SinoMCU
;  *   	@֧QQȺ   	  :  814641858      
;  *    @΢ٷ           :http://www.sinomcu.com/
;  *   	@Copyright           : 2021 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description--------------------------------- 
;wr4wr5/wr6wr7 = wr0wr1 ....... wr2wr3
;=================================================
#include <mc32f7062.inc>
#include <Div_16x16.h>
;------------------------------------------------------------------------------
;wr4wr5    (λwr4λwr5)
;wr6wr7     (λwr6λwr7)
;wr0wr1     (λwr0λwr1)
;wr2wr3     (λwr2λwr3)
;wr8        λ
;------------------------------------------------------------------------------
;=================================================
   	   	extern 	   	Div16_Init
abuf                equ                 00H
statusbuf           equ                 01H


;------------------------------------------------------------------------------
   	    ORG             000H
       	goto   	       	Reset
;-----------------------------------------------------------------------------
        ORG             008H
Interrup_In:
        movra  	       	abuf
        swapar 	       	PFLAG
        movra  	       	statusbuf
Interrupt_Out:
        swapar 	       	statusbuf
        movra  	       	PFLAG
        swapr  	       	abuf
        swapar 	       	abuf
        retie
;------------------------------------------------------------------------------
Reset:
        bclr   	       	GIE
        call            CLR_RAM
        call            IO_Init
;------------------------------------------------------------------------------

MainLoop:
    clrwdt
;-------------------------
    movai   0x00
    movra   wr4
    movai   0x05
    movra   wr5
;-------------------------
    movai   0x00
    movra   wr6
    movai   0x02
    movra   wr7
   	call   	Div16_Init
    nop
    nop
    goto            MainLoop

IO_Init:
        clrr    IOP0
        clrr    IOP1
        clrr    IOP2
        MOVAI   0xff
        MOVRA   OEP0
        MOVRA   OEP1
        MOVRA   OEP2
        CLRR    PUP0
        CLRR    PUP1
        CLRR    PUP2
        CLRR    PDP0
        CLRR    PDP1
        CLRR    PDP2
        RETURN

CLR_RAM:
        CLRR    FSR0
        MOVAI   0XFF
        rsubar  FSR0
        JBCLR   C
        GOTO    $+4
        CLRR    INDF0
        INCR    FSR0
        GOTO    $-6
        MOVAI   0XFF
        MOVRA   FSR0
        CLRR    INDF0
        RETURN

        END